/// Threewave SOF2 Shader ///

// ##################################
// ## Skies #########################
// ##################################

textures/threewave/3w_scan1
{
	qer_editorimage 	textures/tools/editor_images/qer_sky

	q3map_surfacelight 	100
	q3map_nolightmap

	sun 			0.75 0.79 1 120 10 70

	surfaceparm		sky
	surfaceparm		noimpact
	surfaceparm		nomarks

	notc

	skyParms	textures/skies/sam 512 -
}

textures/threewave/3w_scan2
{
	qer_editorimage		textures/tools/editor_images/qer_sky

	q3map_surfacelight	95
	q3map_lightsubdivide	2048
	q3map_nolightmap

	sun 			1 0.8156 0.358 125 75 80

	surfaceparm		sky
	surfaceparm		noimpact

	notc

	skyParms	- 512 -
}

textures/threewave/3w_scan2_nolight
{
	qer_editorimage		textures/tools/editor_images/qer_sky

	q3map_nolightmap

	surfaceparm		sky
	surfaceparm		noimpact
	surfaceparm		nodraw

	notc

	skyParms	- 512 -
}

// ##################################
// ### COMMON #######################
// ##################################

textures/threewave/3w_blackness
{
	qer_editorimage		textures/colors/black_100

	q3map_nolightmap

	surfaceparm 		noimpact
	surfaceparm 		nomarks

	{
		map textures/colors/black_100
	}
}

textures/threewave/tw_logo
{       	
	qer_editorimage 	textures/threewave/tw_logo

	q3map_onlyvertexlighting
	q3map_nolightmap

	surfaceparm 		nomarks
//	surfaceparm 		trans

	cull 			none

	nopicmip

	{
		map textures/threewave/tw_logo
		blendFunc gl_one gl_one
		rgbgen vertex
		//rgbgen identity
		depthWrite
	}
}

textures/threewave/tw_logo_alpha
{       	
	qer_editorimage 	textures/threewave/tw_logo_alpha
	
	q3map_onlyvertexlighting
	q3map_nolightmap

	surfaceparm nomarks
//	surfaceparm trans

	cull 			none

	{
        	map textures/threewave/tw_logo_alpha
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen vertex
		depthWrite
	}
}

textures/threewave/tw_scancode
{  
	qer_editorimage		textures/threewave/tw_scancode


    	{
        	map $lightmap
    	}
    	{
        	map textures/threewave/tw_scancode
        	blendFunc GL_DST_COLOR GL_ZERO
    	}
}
textures/threewave/tw_scancode2
{  
	qer_editorimage		textures/threewave/tw_scancode2

	q3map_nolightmap

	surfaceparm nomarks
//	surfaceparm trans

	cull 			none

	{
        	map textures/threewave/tw_scancode2
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen vertex
		depthWrite
	}
}

// ##################################
// ### Scan'S Kamchatka 3W1 sHADERS #
// ##################################

textures/threewave/mp_3w1_neon_yellow_2k
{
	qer_editorimage		textures/common/lights_1

	q3map_lightimage	textures/colors/yellow
	q3map_flare		gfx/misc/lens_flare
	q3map_surfacelight	2000
	q3map_material		Glass

    	{
        	map $lightmap
    	}
    	{
       		map textures/common/lights_1
        	blendFunc GL_DST_COLOR GL_ZERO
    	}
    	{
        	map textures/common/lights_1_glow
        	blendFunc GL_ONE GL_ONE
    	}
}

textures/threewave/mp_3w1_neon_yellow2_2k
{
	qer_editorimage		textures/common/light_flor
	q3map_lightimage	textures/threewave/3w_neon_yellow_glow
	q3map_surfacelight	2000
	// no flare
	q3map_material		Glass
    	{
        	map $lightmap
    	}
    	{
        	map textures/common/light_flor
        	blendFunc GL_DST_COLOR GL_ZERO
    	}
   	{
        	map textures/threewave/3w_neon_yellow_glow
        	blendFunc GL_ONE GL_ONE
    	}
}

textures/threewave/mp_3w1_neon_blue
{
	qer_editorimage		textures/common/lights_1_slight_blue_1500

	q3map_lightimage	textures/common/lights_1_slight_blue_1500
	q3map_flare		gfx/misc/lens_flare

	q3map_material		Glass

    	{
        	map $lightmap
    	}
    	{
        	map textures/common/lights_1_slight_blue_1500
        	blendFunc GL_DST_COLOR GL_ZERO
    	}
   	{
        	map textures/common/lights_1_glow
        	blendFunc GL_ONE GL_ONE
    	}
}

textures/threewave/mp_3w1_neon_white_2k
{
	qer_editorimage		textures/common/cabinet_light

	q3map_lightimage	textures/common/cabinet_light_glow
	q3map_flare		gfx/misc/lens_flare
	q3map_surfacelight	2000

	q3map_material		Glass

    	{
    	    	map $lightmap
    	}
    	{
        	map textures/common/cabinet_light
        	blendFunc GL_DST_COLOR GL_ZERO
    	}
    	{
        	map textures/common/cabinet_light_glow
        	blendFunc GL_ONE GL_ONE
    	}
}

textures/threewave/mp_3w1_neon_white2_4k
{
	qer_editorimage		textures/common/light_flor
	q3map_lightimage	textures/common/light_flor_glow
	q3map_surfacelight	4000
	// no flare
	q3map_material		Glass
    	{
        	map $lightmap
    	}
    	{
        	map textures/common/light_flor
        	blendFunc GL_DST_COLOR GL_ZERO
    	}
   	{
        	map textures/common/light_flor_glow
        	blendFunc GL_ONE GL_ONE
    	}
}

textures/threewave/mp_3w1_neon_white3_2k
{
	qer_editorimage		textures/common/ceilinglite
	q3map_lightimage	textures/colors/yellow_light
	q3map_surfacelight	2000
	q3map_flare		gfx/misc/lens_flare
	q3map_material		Glass
    	{
        	map $lightmap
    	}
    	{
        	map textures/common/ceilinglite
        	blendFunc GL_DST_COLOR GL_ZERO
    	}
    	{
        	map textures/common/ceilinglite_glow
        	blendFunc GL_ONE GL_ONE
    	}
}

textures/threewave/mp_3w1_square_whitelong
{
	qer_editorimage		textures/common/light6
	q3map_flare		gfx/misc/lens_flare
	q3map_material		Glass
    	{
        	map $lightmap
    	}
    	{
        	map textures/common/light6
        	blendFunc GL_DST_COLOR GL_ZERO
    	}
    	{
        	map textures/common/light6_glow
        	blendFunc GL_ONE GL_ONE
    	}
}

textures/threewave/mp_3w1_square_white_3k
{
	qer_editorimage		textures/common/lights_5
	q3map_lightimage	textures/common/lights_5_glow
	q3map_surfacelight	3000
	q3map_flare		gfx/misc/lens_flare
	q3map_material		Glass
    	{
        	map $lightmap
    	}
    	{
        	map textures/common/lights_5
        	blendFunc GL_DST_COLOR GL_ZERO
    	}
    	{
        	map textures/common/lights_5_glow
        	blendFunc GL_ONE GL_ONE
    	}
}

textures/threewave/mp_3w1_square_offw_3k
{
	qer_editorimage		textures/common/lights_5_offw
	q3map_lightimage	textures/common/lights_5_offw_glow
	q3map_surfacelight	3000
	q3map_flare		gfx/misc/lens_flare
	q3map_material		Glass
    	{
        	map $lightmap
    	}
    	{
        	map textures/common/lights_5_offw
        	blendFunc GL_DST_COLOR GL_ZERO
    	}
    	{
        	map textures/common/lights_5_offw_glow
        	blendFunc GL_ONE GL_ONE
    	}
}

textures/threewave/mp_3w1_square_red_3k
{
	qer_editorimage		textures/common/lights_5_red
	q3map_lightimage	textures/colors/red_light
	q3map_surfacelight	3000
	q3map_flare		gfx/misc/lens_flare
	q3map_material		Glass
    	{
        	map $lightmap
    	}
    	{
        	map textures/common/lights_5_red
        	blendFunc GL_DST_COLOR GL_ZERO
    	}
    	{
        	map textures/common/lights_5_red_glow
        	blendFunc GL_ONE GL_ONE
    	}
}

textures/threewave/mp_3w1_round_white_6k
{
	qer_editorimage		textures/common/lights_3
	q3map_lightimage 	textures/common/lights_3_glow
	q3map_surfacelight	6000
	q3map_flare		gfx/misc/lens_flare
	q3map_material		Glass
    	{
        	map $lightmap
    	}
    	{
        	map textures/common/lights_3
        	blendFunc GL_DST_COLOR GL_ZERO
    	}
    	{
        	map textures/common/lights_3_glow
        	blendFunc GL_ONE GL_ONE
    	}
}

textures/threewave/mp_3w1_round_white2_6k
{
	qer_editorimage		textures/common/lights_4
	q3map_lightimage 	textures/common/lights_4_glow
	q3map_surfacelight	6000
	q3map_flare		gfx/misc/lens_flare
	q3map_material		Glass
    	{
        	map $lightmap
    	}
    	{
        	map textures/common/lights_4
        	blendFunc GL_DST_COLOR GL_ZERO
    	}
    	{
        	map textures/common/lights_4_glow
        	blendFunc GL_ONE GL_ONE
    	}
}

textures/threewave/mp_3w1_round_yellow_6k
{
	qer_editorimage		textures/common/lights_2
	q3map_lightimage	textures/colors/yellow_light
	q3map_surfacelight	6000
	q3map_material		Glass
    	{
        	map $lightmap
    	}
    	{
        	map textures/common/lights_2
        	blendFunc GL_DST_COLOR GL_ZERO
    	}
    	{
        	map textures/common/lights_2_glow
        	blendFunc GL_ONE GL_ONE
    	}
}


textures/threewave/mp_3w1_squarectf_red_3k
{
	q3map_lightimage	textures/colors/red_light
	qer_editorimage		textures/threewave/light_redy
	q3map_surfacelight	3000
	q3map_flare		gfx/misc/lens_flare
	q3map_material		Glass
    	{
        	map $lightmap
    	}
    	{
        	map textures/threewave/light_redy
        	blendFunc GL_DST_COLOR GL_ZERO
   	}
    	{
        	map textures/threewave/light_redy_glow
       	 	blendFunc GL_ONE GL_ONE
    	}
}

textures/threewave/mp_3w1_squarectf_blue_3k
{
	q3map_lightimage	textures/colors/blue_light
	qer_editorimage		textures/common/light_bluey
	q3map_surfacelight	3000
	q3map_flare		gfx/misc/lens_flare
	q3map_material		Glass
    	{
        	map $lightmap
    	}
    	{
        	map textures/common/light_bluey
        	blendFunc GL_DST_COLOR GL_ZERO
   	}
    	{
        	map textures/common/light_bluey_glow
       	 	blendFunc GL_ONE GL_ONE
    	}
}

// ##################################
// ########## Non Lights ############
// ##################################

textures/threewave/mp_3w1_greenmetaltile
{
	qer_editorimage		textures/kamchatka/greenmetal_tile

	q3map_material		Tiles

    	{
        	map $lightmap
    	}
    	{
        	map textures/kamchatka/greenmetal_tile
        	blendFunc GL_DST_COLOR GL_ZERO
    	}
    	{
        	map textures/common/env_chrome_add
        	blendFunc GL_DST_COLOR GL_ONE
        	detail
        	tcGen environment
    	}
}

textures/threewave/mp_3w1_grate
{
	qer_editorimage		textures/kamchatka/grate_1_b
	aliasShader		textures/kamchatka/grating

	q3map_material		HollowMetal
	q3map_alphashadow
	q3map_novertexshadows

	surfaceparm		nomarks
	surfaceparm		nonsolid
	surfaceparm		nonopaque
	surfaceparm		slime
	surfaceparm		playerclip
	surfaceparm		monsterclip

	cull			disable

    	{
        	map textures/kamchatka/grate_1_b
        	alphaFunc GE128
        	blendFunc GL_SRC_ALPHA GL_ZERO
        	depthWrite
    	}
    	{
        	map $lightmap
        	blendFunc GL_ONE GL_ZERO
        	depthFunc equal
    	}
    	{
        	map textures/kamchatka/grate_1_b
        	blendFunc GL_DST_COLOR GL_ZERO
        	depthFunc equal
    	}
}

textures/threewave/mp_3w1_grate2
{
	qer_editorimage		textures/kamchatka/grating

	q3map_material		SolidMetal
	q3map_alphashadow

	surfaceparm		noimpact
	surfaceparm		nonsolid
	surfaceparm		nonopaque
	nopicmip

	cull			disable
    	{
        	map textures/kamchatka/grating
        	alphaFunc GE128
        	blendFunc GL_SRC_ALPHA GL_ZERO
        	depthWrite
    	}
    	{
        	map $lightmap
        	blendFunc GL_ONE GL_ZERO
        	depthFunc equal
    	}
    	{
	 	map textures/kamchatka/grating
        	blendFunc GL_DST_COLOR GL_ZERO
        	depthFunc equal
    	}
}

textures/threewave/mp_3w1_ladder
{
	qer_editorimage		textures/kamchatka/ladder_rung

	q3map_material		SolidMetal
	q3map_nolightmap
	q3map_alphashadow
	q3map_onlyvertexlighting
	q3map_novertexshadows

	surfaceparm	nomarks
	surfaceparm	nonsolid
	surfaceparm	nonopaque
	surfaceparm	playerclip
	surfaceparm	monsterclip

    	{
        	map textures/kamchatka/ladder_rung
        	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        	rgbGen vertex
    	}
}

textures/threewave/mp_3w1_pipes
{
	qer_editorimage		textures/kamchatka/pipes2
	q3map_material		SolidMetal

	surfaceparm		noimpact
	surfaceparm		nomarks
	surfaceparm		nonsolid

	cull			disable

    	{
        	map textures/kamchatka/pipes2
        	alphaFunc GE128
        	blendFunc GL_SRC_ALPHA GL_ZERO
        	depthWrite
    	}
    	{
        	map $lightmap
        	blendFunc GL_ONE GL_ZERO
        	depthFunc equal
    	}
    	{
        	map textures/kamchatka/pipes2
        	blendFunc GL_DST_COLOR GL_ZERO
        	depthFunc equal
    	}
}

textures/threewave/mp_3w1_girder
{
	qer_editorimage		textures/kamchatka/metal_lightholder

	q3map_material		SolidMetal

	surfaceparm		nonsolid
	surfaceparm		nonopaque
	surfaceparm		playerclip
	surfaceparm		monsterclip

	cull			disable

    	{
        	map textures/kamchatka/metal_lightholder
        	alphaFunc GE128
        	blendFunc GL_SRC_ALPHA GL_ZERO
        	depthWrite
    	}
    	{
       	 	map $lightmap
        	blendFunc GL_ONE GL_ZERO
        	depthFunc equal
    	}
    	{
        	map textures/kamchatka/metal_lightholder
        	blendFunc GL_DST_COLOR GL_ZERO
        	depthFunc equal
    	}
}

textures/threewave/mp_3w1_girder2
{
	qer_editorimage		textures/kamchatka/railing01

	q3map_alphashadow
	q3map_novertexshadows
	
	surfaceparm		nonsolid
	surfaceparm		nonopaque

	cull			disable

    	{
        	map textures/kamchatka/railing01
        	alphaFunc GE128
        	blendFunc GL_SRC_ALPHA GL_ZERO
        	depthWrite
    	}
    	{
        	map $lightmap
        	blendFunc GL_ONE GL_ZERO
        	depthFunc equal
    	}
    	{
       		map textures/kamchatka/railing01
        	blendFunc GL_DST_COLOR GL_ZERO
        	depthFunc equal
    	}
}

textures/threewave/mp_3w1_glass
{
	qer_editorimage		textures/airport/largewindow

	surfaceparm		nonopaque
	surfaceparm		playerclip
	surfaceparm		monsterclip

// Use trans to cook, Comment out to play.  Fixes Sorting Issue. ;{{
//	surfaceparm		trans 
	surfaceparm		nonsolid

	q3map_material		Glass
	q3map_nolightmap
	q3map_onlyvertexlighting

	cull		disable

    	{
        	map textures/airport/largewindow
        	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        	rgbGen vertex
    	}
}


textures/threewave/mp_3w1_chainlink_nonsolid
{
	qer_editorimage 	textures/common/chainlinkfence_rust
	q3map_alphashadow

	surfaceparm		nonsolid
	surfaceparm		nonopaque
	surfaceparm		playerclip
	surfaceparm		monsterclip

	cull			disable

    	{
        	map textures/common/chainlinkfence_rust
        	alphaFunc GE128
        	blendFunc GL_SRC_ALPHA GL_ZERO
        	depthWrite
    	}
    	{
        	map $lightmap
        	blendFunc GL_ONE GL_ZERO
        	depthFunc equal
    	}
    	{
        	map textures/common/chainlinkfence_rust
        	blendFunc GL_DST_COLOR GL_ZERO
        	depthFunc equal
    	}
}

textures/threewave/mp_3w1_hanglightpole_nonsolid
{
	qer_editorimage	textures/kamchatka/engine_strip
	q3map_nolightmap
	q3map_onlyvertexlighting


//	surfaceparm	nonsolid
// not anymore ;p

    	{
        	map textures/kamchatka/engine_strip
//        	blendFunc GL_DST_COLOR GL_ZERO
		rgbGen vertex
    	}
}

textures/threewave/mp_3w1_metal3
{
	qer_editorimage	textures/kamchatka/metal3
	q3map_material	SolidMetal
    	{
        	map $lightmap
    	}
    	{
        	map textures/kamchatka/metal3
        	blendFunc GL_DST_COLOR GL_ZERO
    	}
}

textures/threewave/mp_3w1_metal3_nonsolid
{
	qer_editorimage	textures/kamchatka/metal3
	surfaceparm nonsolid
   	{
        	map $lightmap
    	}
    	{
        	map textures/kamchatka/metal3
        	blendFunc GL_DST_COLOR GL_ZERO
    	}
}

textures/threewave/mp_3w1_h_cretewall_nonsolid
{
	qer_editorimage	textures/common/h_cretewall_plain
	q3map_material	Concrete
	surfaceparm nonsolid
    	{
        	map $lightmap
    	}
    	{
        	map textures/common/h_cretewall_plain
        	blendFunc GL_DST_COLOR GL_ZERO
    	}
}

textures/threewave/mp_3w1_warningstrip_snow_nonsolid
{
	qer_editorimage	textures/kamchatka/warningstrip_snow

	q3map_material	Concrete

	surfaceparm nonsolid

    	{
        	map $lightmap
    	}
    	{
        	map textures/kamchatka/warningstrip_snow
        	blendFunc GL_DST_COLOR GL_ZERO
    	}
}


// ##################################
// ### Scan'S jUNGLE 3W3 sHADERS ####
// ##################################

// worldspawn fog
textures/threewave/mp_3w3fog
{
	qer_editorimage		textures/tools/editor_images/qer_fogblack

	surfaceparm 		nonsolid
	surfaceparm 		fog

	fogparms ( 0.58 0.74 0.64 ) 4000.0
}

// Threewave 3w3 Meta Shader


textures/threewave/jungle_0
{
	q3map_material	Rock
	q3map_nolightmap
	q3map_onlyvertexlighting
    	{
        	map textures/colombia/dirt_terrain1
        	rgbGen vertex
        	tcMod scale 0.3 0.3
    	}
    	{
        	map gfx/sprites/ss_grass_dirt
            	surfaceSprites vertical 24 48 60 300
            	ssFademax 2000
            	ssFadescale 1.5
            	ssVariance 1 2
            	ssWind 0.6
        	alphaFunc GE192
        	blendFunc GL_ONE GL_ZERO
        	depthWrite
        	rgbGen exactVertex
    	}
}

textures/threewave/jungle_1
{
	q3map_material	LongGrass
	q3map_nolightmap
	{
        	map textures/colombia/ground_plants
        	rgbGen vertex
        	tcMod scale 0.25 0.25
    	}
    	{
        	map gfx/sprites/ss_grass_plants
            	surfaceSprites vertical 48 24 45 400
		ssFademax 2048
            	ssFadescale 2.5
            	ssVariance 1 2
            	ssWind 0.8
        	alphaFunc GE192
        	blendFunc GL_ONE GL_ZERO
        	depthWrite
        	rgbGen exactVertex
    	}
    	{
        	map models/objects/colombia/jungle/tree02_shd
            	surfaceSprites vertical 48 32 256 600
		ssFademax 2112
            	ssFadescale 2
            	ssVariance 1 2
            	ssWind 0.8
        	alphaFunc GE192
        	blendFunc GL_ONE GL_ZERO
        	depthWrite
        	rgbGen exactVertex
    	}
}

textures/threewave/jungle_2
{
	q3map_material	Rock
	q3map_nolightmap
	q3map_onlyvertexlighting
    	{
		map textures/colombia/new_ground_fallow_rock
        	rgbGen vertex
        	tcMod scale 0.07 0.07
    	}
}

textures/threewave/jungle_0to1
{
	q3map_material	LongGrass
	q3map_nolightmap
	q3map_onlyvertexlighting
    	{
        	map textures/colombia/dirt_terrain1
       	 	rgbGen vertex
        	alphaGen vertex
        	tcMod scale 0.3 0.3
    	}
    	{
        	map textures/colombia/ground_plants
        	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        	rgbGen vertex
        	alphaGen vertex
    		tcMod scale 0.25 0.25
    	}
    	{
        	map gfx/sprites/ss_grass_dirt
            	surfaceSprites vertical 24 48 60 300
            	ssFademax 2000
            	ssFadescale 1.5
            	ssVariance 1 2
            	ssWind 0.6
        	alphaFunc GE192
        	blendFunc GL_ONE GL_ZERO
        	depthWrite
        	rgbGen exactVertex
    	}
}

textures/threewave/jungle_0to2
{
	q3map_material	Rock
	q3map_nolightmap
	q3map_onlyvertexlighting
    	{
        	map textures/colombia/dirt_terrain1
        	rgbGen vertex
        	alphaGen vertex
        	tcMod scale 0.3 0.3
    	}
    	{
		map textures/colombia/new_ground_fallow_rock
        	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        	rgbGen vertex
        	alphaGen vertex
        	tcMod scale 0.25 0.25
    	}
}

textures/threewave/jungle_1to2
{	
	q3map_material	LongGrass
	q3map_nolightmap
	q3map_onlyvertexlighting
    	{
        	map textures/colombia/ground_plants
        	rgbGen vertex
        	alphaGen vertex
        	tcMod scale 0.25 0.25
    	}	
    	{
		map textures/colombia/new_ground_fallow_rock
        	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        	rgbGen vertex
        	alphaGen vertex
        	tcMod scale 0.07 0.07
    	}
  	{
       		map gfx/sprites/ss_grass_caverock
            	surfaceSprites vertical 24 18 65 300
            	ssFademax 2000
            	ssFadescale 2
            	ssVariance 1 2
            	ssWind 0.8
        	alphaFunc GE192
        	blendFunc GL_ONE GL_ZERO
        	depthWrite
        	rgbGen exactVertex
    }
}


textures/threewave/mp_3w3tirepath
{
	qer_editorimage 	textures/finca/ground_tire
	aliasShader 		textures/finca/ground_fallow

	q3map_material 		Dirt
	q3map_nolightmap
	q3map_onlyvertexlighting

    	{
        	map textures/finca/ground_tire
		rgbGen vertex
    	}
}

textures/threewave/mp_3w3path
{
	qer_editorimage		textures/finca/ground_fallow

	q3map_material 		Dirt
	q3map_nolightmap
	q3map_onlyvertexlighting

    	{
        	map textures/finca/ground_fallow
        	tcMod scale 0.5 0.5
		rgbgen vertex
    	}
    	{
    	    	map gfx/sprites/ss_grass_plants
           	surfaceSprites vertical 32 32 54 600
           	ssFademax 1250
           	ssVariance 1 1.5
           	ssWind 0.2
        	alphaFunc GE192
        	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        	depthWrite
        	rgbGen vertex
    	}
    	{
     		map models/objects/colombia/jungle/tree09c_shd
           	surfaceSprites vertical 32 28 48 600
           	ssFademax 1450
           	ssVariance 1 1.5
           	ssWind 0.3
        	alphaFunc GE192
        	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        	depthWrite
        	rgbGen vertex
    	}
    	{
     		map models/objects/colombia/jungle/tree02_shd
           	surfaceSprites vertical 38 32 128 600
           	ssFademax 1450

           	ssVariance 1 2
           	ssWind 0.5
        	alphaFunc GE192
        	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        	depthWrite
        	rgbGen vertex
    	}
}

textures/threewave/mp_3w3path_noplant
{
	qer_editorimage		textures/finca/ground_fallow

	q3map_material 		Dirt
	q3map_nolightmap
	q3map_onlyvertexlighting

    	{
        	map textures/finca/ground_fallow
        	tcMod scale 0.5 0.5
		rgbgen vertex
    	}
}

textures/threewave/mp_3w3dirt2c_novine
{
	qer_editorimage		textures/finca/dirt2_cable2

	q3map_material		Dirt

   	{
       		map $lightmap
    	}
    	{
        	map textures/finca/dirt2_cable2
        	blendFunc GL_DST_COLOR GL_ZERO
    	}
}

textures/threewave/mp_3w3thatch_hang
{
      	qer_editorimage 	textures/colombia/thatch_hang

	q3map_material 		HollowWood

	surfaceparm 		nonsolid

	cull 			disable

    	{
        	map textures/colombia/thatch_hang
        	alphaFunc GE128
        	blendFunc GL_SRC_ALPHA GL_ZERO
        	depthWrite
    	}
    	{
        	map $lightmap
        	blendFunc GL_ONE GL_ZERO
        	depthFunc equal
    	}
    	{
        	map textures/colombia/thatch_hang
       		blendFunc GL_DST_COLOR GL_ZERO
        	depthFunc equal
    	}
}
textures/threewave/mp_3w3ladder_wood
{
	
	qer_editorimage 	textures/colombia/ladder_wood

	q3map_material		HollowWood

	surfaceparm		nonsolid
	surfaceparm		nonopaque
	surfaceparm		playerclip
	surfaceparm		monsterclip

	cull 			disable

    	{
        	map textures/colombia/ladder_wood
        	alphaFunc GE128
        	blendFunc GL_SRC_ALPHA GL_ZERO
        	depthWrite
    	}
    	{
       	 	map $lightmap
        	blendFunc GL_ONE GL_ZERO
        	depthFunc equal
    	}
    	{
        	map textures/colombia/ladder_wood
        	blendFunc GL_DST_COLOR GL_ZERO
        	depthFunc equal
    	}
}

textures/threewave/mp_3w3canvas
{
	qer_editorimage		textures/colombia/canvas

	surfaceparm	slime
	q3map_material	Canvas
    	{
        	map $lightmap
    	}
    	{
        	map textures/colombia/canvas
        	blendFunc GL_DST_COLOR GL_ZERO
    	}
}

textures/threewave/mp_3w3tile_moss_nonsolid
{
	qer_editorimage		textures/colombia/tile_moss

	q3map_material		Tiles
	
	surfaceparm 		nonsolid

    	{
        	map $lightmap
    	}
    	{
        	map textures/colombia/tile_moss
        	blendFunc GL_DST_COLOR GL_ZERO
    	}
}

textures/threewave/mp_3w3towersupport
{

	qer_editorimage 	textures/colombia/towersupport

	q3map_material		SolidWood

// remove trans for play
//	surfaceparm		trans
	surfaceparm 		nonsolid
	surfaceparm		nomarks


	cull disable

    	{
     		map textures/colombia/towersupport
        	alphaFunc GE128
        	blendFunc GL_SRC_ALPHA GL_ZERO
        	depthWrite
    	}
    	{
        	map $lightmap
        	blendFunc GL_ONE GL_ZERO
        	depthFunc equal
    	}
    	{
        	map textures/colombia/towersupport
        	blendFunc GL_DST_COLOR GL_ZERO
        	depthFunc equal
    	}
}

// being used
textures/threewave/mp_3w3water_murky
{
	qer_editorimage		textures/common/water01

	q3map_material		Water
	q3map_nolightmap

// remove trans for play
//	surfaceparm		trans
	surfaceparm		nonsolid
	surfaceparm		water

	cull			disable

    	{
        	map textures/common/water01
        	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        	tcMod scale 0.33 0.33
        	tcMod turb 0.25 0.03 0.025 0.25
        	tcMod scroll 0.07 -0.03
    	}
}
textures/threewave/mp_3w3water_pool
{
	qer_editorimage		textures/common/water01

	q3map_material		Water
	q3map_nolightmap

// remove trans for play
//	surfaceparm		trans
	surfaceparm		nonsolid
	surfaceparm		water

	cull			disable

    	{
        	map textures/common/water01
        	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        	tcMod scale 0.33 0.33
        	tcMod turb 0.25 0.03 0.025 0.25
//        	tcMod scroll 0.07 -0.03
    	}
}


textures/threewave/mp_3w3water03_new2
{
	qer_editorimage		textures/common/water_col_fall2
	q3map_material		Water
	q3map_nolightmap

// remove trans for play
//	surfaceparm 		trans
	surfaceparm		nonsolid
	surfaceparm		water

	cull			disable

    	{
        	map textures/common/water_col_fall2
        	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        	rgbGen vertex
        	tcMod scale 0.5 0.3
        	tcMod turb 0.25 0.03 0 0.25
        	tcMod scroll 0 1
    	}
    	{
        	map textures/common/water_col_fall1
        	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        	rgbGen vertex
        	tcMod scale 0.5 0.3
        	tcMod turb 0.25 0.03 0 0.5
        	tcMod scroll 0 2
    	}
    	{
        	map textures/common/water_col_fall1
        	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        	rgbGen vertex
        	tcMod scale 0.5 0.3
        	tcMod scroll 0 1
    	}
}

textures/threewave/mp_3w3_woodfence
{
	qer_editorimage		textures/colombia/woodfence

	q3map_material		SolidWood

// remove trans for play
//	surfaceparm 		trans
	surfaceparm		nonsolid
	surfaceparm		nonopaque
	surfaceparm		playerclip
	surfaceparm		monsterclip
	
	cull			disable

    	{
        	map textures/colombia/woodfence
        	alphaFunc GE128
        	blendFunc GL_SRC_ALPHA GL_ZERO
        	depthWrite
    	}
    	{
        	map $lightmap
        	blendFunc GL_ONE GL_ZERO
        	depthFunc equal
    	}
    	{
        	map textures/colombia/woodfence
        	blendFunc GL_DST_COLOR GL_ZERO
        	depthFunc equal
    	}
}

textures/threewave/mp_3w3foliage_ground
{
	qer_editorimage		textures/colombia/foliage_ground

	q3map_material	GreenLeaves
	q3map_nolightmap
	cull	disable
    	{
        	map textures/colombia/foliage_ground
        	alphaFunc GE128
        	blendFunc GL_ONE GL_ZERO
        	depthWrite
        	rgbGen vertex
    	}
}

// ##################################
// ### Casey'S Prague 3W2 sHADERS ####
// ##################################

textures/threewave/map2sky
{
	q3map_lightimage textures/colors/blue_light
	qer_editorimage	textures/tools/editor_images/qer_sky
	q3map_surfacelight 30
	q3map_lightsubdivide 512
	sun 0.47 0.57 1 60 0 65
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nomarks
	notc
	q3map_nolightmap
	skyParms - 256 -
}

textures/threewave/chicksdigfog
{
	qer_editorimage	textures/tools/editor_images/qer_fogblack
	surfaceparm	nonsolid
	surfaceparm	fog
	fogparms	( 0.12 0.13 0.15 ) 3500.0
}

textures/threewave/water_murky_a
{
	qer_editorimage	textures/common/water01
	surfaceparm water
	q3map_material Water
	q3map_nolightmap
	q3map_globaltexture
	{
		map textures/common/water01
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen wave sin 0.7 0 0 1
		tcMod turb 0 0.01 0 0.2
	}
}

textures/threewave/water_murky_b
{
	qer_editorimage	textures/common/water01
	surfaceparm water
	q3map_material Water
	q3map_nolightmap
	{
		map textures/common/water01
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen wave sin 0.6 0 0 1
		tcMod scroll 0.9 0
	}
}

textures/threewave/water_murky_c
{
	qer_editorimage	textures/common/water01
	surfaceparm water
	q3map_material Water
	q3map_nolightmap
	{
		map textures/common/water01
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen wave sin 0.5 0 0 1
		tcMod scale 0.5 0.5
		tcMod scroll 2 0
	}
}

textures/threewave/wall_prague_all
{
	q3map_material Rock
	{
		map $lightmap
	}
	{
		map textures/threewave/wall_prague_all
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/threewave/wall_prague_vertex
{
	qer_editorimage	textures/threewave/wall_prague_all
	q3map_material	Rock
	q3map_nolightmap
	q3map_onlyvertexlighting
    {
        map textures/threewave/wall_prague_all
        rgbGen vertex
    }
}

textures/threewave/street_vertex
{
	qer_editorimage textures/prague/street
	q3map_material	Rock
	q3map_nolightmap
	q3map_onlyvertexlighting
    {
        map textures/prague/street
        rgbGen vertex
    }
}

textures/threewave/sidewalk2_vertex
{
	qer_editorimage textures/prague/sidewalk2
	q3map_material	Rock
	q3map_nolightmap
	q3map_onlyvertexlighting
    {
        map textures/prague/sidewalk2
        rgbGen vertex
    }
}

textures/threewave/sidewalk_trim_vertex
{
	qer_editorimage textures/threewave/sidewalk_trim
	q3map_material	Rock
	q3map_nolightmap
	q3map_onlyvertexlighting
    {
        map textures/threewave/sidewalk_trim
        rgbGen vertex
    }
}

textures/threewave/sidewalk_trim
{
	q3map_material Rock
	{
		map $lightmap
	}
	{
		map textures/threewave/sidewalk_trim
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/threewave/wall_wood1_po
{
	qer_editorimage	textures/prague/wall_wood3
	polygonOffset
	q3map_material SolidWood
	aliasShader textures/prague/wall_wood3
	{
		map $lightmap
	}
	{
		map textures/prague/wall_wood1
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/threewave/door_all
{
	qer_editorimage	textures/threewave/door_all
	q3map_material SolidWood
	{
		map $lightmap
	}
	{
		map textures/threewave/door_all
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/threewave/window_f_noglass
{
	qer_editorimage	textures/prague/window_f
	q3map_material SolidWood
	{
		map $lightmap
	}
	{
		map textures/prague/window_f
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/threewave/fn_crosswalk
{
	qer_editorimage	textures/prague/crosswalk
	surfaceparm nonopaque
	q3map_nolightmap
	q3map_onlyvertexlighting
	{
		map textures/prague/crosswalk
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
}

textures/threewave/crate5_nonsolid
{
	qer_editorimage	textures/common/crate_nobreak5
	surfaceparm nodamage
	surfaceparm nonsolid
	q3map_material SolidMetal
	{
		map $lightmap
	}
	{
		map textures/common/crate_nobreak5
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/threewave/crate6_nonsolid
{
	qer_editorimage	textures/common/crate_nobreak6
	surfaceparm nodamage
	surfaceparm nonsolid
	q3map_material SolidMetal
	{
		map $lightmap
	}
	{
		map textures/common/crate_nobreak6
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/threewave/lamp_trans
{
	qer_editorimage	textures/prague/lamp
	q3map_flare gfx/misc/lens_flare
	q3map_material HollowMetal
	damageShader textures/prague/lamp_d 1
	surfaceparm trans
	{
		map $lightmap
	}
	{
		map textures/prague/lamp
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/prague/lamp_glow
		blendFunc GL_ONE GL_ONE
	}
}

textures/threewave/lamp_light_1000
{
	qer_editorimage	textures/prague/lamp
	q3map_flare	gfx/misc/lens_flare
	q3map_material	HollowMetal
	q3map_surfacelight 1000
	q3map_lightimage textures/prague/lamp_glow
	damageShader	textures/prague/lamp_d 1
	{
		map $lightmap
	}
	{
		map textures/prague/lamp
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/prague/lamp_glow
		blendFunc GL_ONE GL_ONE
	}
}

textures/threewave/lamp_light_2000
{
	qer_editorimage	textures/prague/lamp
	q3map_flare	gfx/misc/lens_flare
	q3map_material	HollowMetal
	q3map_surfacelight 2000
	q3map_lightimage textures/prague/lamp_glow
	damageShader	textures/prague/lamp_d 1
	{
		map $lightmap
	}
	{
		map textures/prague/lamp
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/prague/lamp_glow
		blendFunc GL_ONE GL_ONE
	}
}

textures/threewave/lamp_light_4000
{
	qer_editorimage	textures/prague/lamp
	q3map_flare	gfx/misc/lens_flare
	q3map_material	HollowMetal
	q3map_surfacelight 4000
	q3map_lightimage textures/prague/lamp_glow
	damageShader	textures/prague/lamp_d 1
	{
		map $lightmap
	}
	{
		map textures/prague/lamp
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/prague/lamp_glow
		blendFunc GL_ONE GL_ONE
	}
}

textures/threewave/lamp_light_10k
{
	qer_editorimage	textures/prague/lamp
	q3map_flare	gfx/misc/lens_flare
	q3map_material	HollowMetal
	q3map_surfacelight 10000
	q3map_lightimage textures/prague/lamp_glow
	damageShader	textures/prague/lamp_d 1
	{
		map $lightmap
	}
	{
		map textures/prague/lamp
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/prague/lamp_glow
		blendFunc GL_ONE GL_ONE
	}
}

textures/threewave/wallpaper1_b
{
	qer_editorimage textures/threewave/wallpaper1_b
	q3map_material Plaster
	aliasShader textures/prague/wallpaper2
	{
		map $lightmap
	}
	{
		map textures/threewave/wallpaper1_b
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/threewave/wallpaper1_r
{
	qer_editorimage textures/threewave/wallpaper1_r
	q3map_material Plaster
	aliasShader textures/prague/wallpaper2
	{
		map $lightmap
	}
	{
		map textures/threewave/wallpaper1_r
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/threewave/wallpaper2_b
{
	qer_editorimage textures/threewave/wallpaper2_b
	q3map_material Plaster
	aliasShader textures/prague/wallpaper2
	{
		map $lightmap
	}
	{
		map textures/threewave/wallpaper2_b
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/threewave/wallpaper2_r
{
	qer_editorimage textures/threewave/wallpaper2_r
	q3map_material Plaster
	aliasShader textures/prague/wallpaper2
	{
		map $lightmap
	}
	{
		map textures/threewave/wallpaper2_r
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/threewave/wallpaper3_b
{
	qer_editorimage textures/threewave/wallpaper3_b
	q3map_material Plaster
	aliasShader textures/prague/wallpaper2
	{
		map $lightmap
	}
	{
		map textures/threewave/wallpaper3_b
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/threewave/wallpaper3_r
{
	qer_editorimage textures/threewave/wallpaper3_r
	q3map_material Plaster
	aliasShader textures/prague/wallpaper2
	{
		map $lightmap
	}
	{
		map textures/threewave/wallpaper3_r
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/threewave/iron_railing_nocull
{
	qer_editorimage textures/prague/iron_railing
	surfaceparm	nonsolid
	surfaceparm	nonopaque
	surfaceparm	playerclip
	surfaceparm	monsterclip
	q3map_material	SolidMetal
	cull disable
	{
		map textures/prague/iron_railing
		alphaFunc GE128
		blendFunc GL_SRC_ALPHA GL_ZERO
		depthWrite
	}
	{
		map $lightmap
		blendFunc GL_ONE GL_ZERO
		depthFunc equal
	}
	{
		map textures/prague/iron_railing
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/threewave/glass_safety_nocull
{
	qer_editorimage	textures/shop/glass_safety_thin
	qer_trans	0.5
	surfaceparm	nonopaque
	surfaceparm	shotclip
	q3map_material	Glass
	q3map_nolightmap
	q3map_onlyvertexlighting
	cull disable
	{
		map textures/shop/glass_safety_thin
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
	{
		map textures/shop/met_env_dark
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen const 0.25
		tcGen environment
	}
}

textures/threewave/lights_3_10k
{
	qer_editorimage textures/common/lights_3
	q3map_flare	gfx/misc/lens_flare
	q3map_material	Glass
	q3map_surfacelight 10000
	q3map_lightimage textures/common/lights_3_glow
	{
		map $lightmap
	}
	{
		map textures/common/lights_3
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/common/lights_3_glow
		blendFunc GL_ONE GL_ONE
	}
}

textures/threewave/lights_3_13k
{
	qer_editorimage textures/common/lights_3
	q3map_flare gfx/misc/lens_flare
	q3map_material Glass
	q3map_surfacelight 13000
	q3map_lightimage textures/common/lights_3_glow
	{
		map $lightmap
	}
	{
		map textures/common/lights_3
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/common/lights_3_glow
		blendFunc GL_ONE GL_ONE
	}
}

textures/threewave/window2_decal
{
	qer_editorimage textures/prague/window2
	q3map_material Glass
	damageShader textures/prague/window2_d 1
	polygonOffset
	{
		map $lightmap
	}
	{
		map textures/prague/window2
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/threewave/floor_woodplanks_nonsolid_po
{
	qer_editorimage textures/common/floor_woodplanks128
	q3map_material SolidWood
	surfaceparm nonsolid
	polygonOffset
	{
		map $lightmap
	}
	{
		map textures/common/floor_woodplanks128
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/threewave/red_light_nolight
{
	qer_editorimage textures/common/red_light_1
	q3map_material Glass
	{
		map $lightmap
	}
	{
		map textures/common/red_light_1
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/threewave/red_light_flash_a
{
	qer_editorimage	textures/common/red_light_1
	q3map_material Glass
	{
		map $lightmap
	}
	{
		map textures/common/red_light_1
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
        map textures/threewave/red_light_1_flash
        blendFunc GL_ONE GL_ONE
        rgbGen wave sin 0 1 0 0.6
	}
}

textures/threewave/red_light_flash_b
{
	qer_editorimage	textures/common/red_light_1
	q3map_material Glass
	{
		map $lightmap
	}
	{
		map textures/common/red_light_1
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
        map textures/threewave/red_light_1_flash
        blendFunc GL_ONE GL_ONE
        rgbGen wave sin 0 1 0.3 0.6
	}
}

textures/threewave/red_light_flash_c
{
	qer_editorimage	textures/common/red_light_1
	q3map_material Glass
	{
		map $lightmap
	}
	{
		map textures/common/red_light_1
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
        map textures/threewave/red_light_1_flash
        blendFunc GL_ONE GL_ONE
        rgbGen wave sin 0 1 0.6 0.6
	}
}

textures/threewave/bluelight_3k
{
	q3map_lightimage textures/threewave/blue1
	qer_editorimage textures/common/light_bluey
	q3map_surfacelight 3000
	q3map_flare gfx/misc/lens_flare
	q3map_material Glass
    	{
        	map $lightmap
    	}
    	{
        	map textures/common/light_bluey
        	blendFunc GL_DST_COLOR GL_ZERO
   	}
    	{
        	map textures/common/light_bluey_glow
       	 	blendFunc GL_ONE GL_ONE
    	}
}

textures/threewave/redlight_3k
{
	q3map_lightimage textures/threewave/red1
	qer_editorimage textures/threewave/redlight
	q3map_surfacelight 3000
	q3map_flare gfx/misc/lens_flare
	q3map_material Glass
    	{
        	map $lightmap
    	}
    	{
        	map textures/threewave/redlight
        	blendFunc GL_DST_COLOR GL_ZERO
   	}
    	{
        	map textures/threewave/redlight_glow
       	 	blendFunc GL_ONE GL_ONE
    	}
}

textures/threewave/exitsign_glow
{
	q3map_lightimage textures/threewave/red1
	qer_editorimage textures/prague/exitsign
	q3map_surfacelight 1000
	q3map_material SolidMetal
	nopicmip
	{
        	map $lightmap
    	}
    	{
        	map textures/prague/exitsign
        	blendFunc GL_DST_COLOR GL_ZERO
   	}
    	{
        	map textures/prague/exitsign_glow
       	 	blendFunc GL_ONE GL_ONE
    	}
}

textures/threewave/metal2_nonsolid
{
	qer_editorimage textures/kamchatka/metal2
	q3map_material SolidMetal
	surfaceparm trans
	surfaceparm nonsolid
	{
		map $lightmap
	}
	{
		map textures/kamchatka/metal2
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/threewave/gratingmynerves
{
	qer_editorimage textures/kamchatka/grating
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm nonopaque
	surfaceparm playerclip
	surfaceparm monsterclip
	q3map_material SolidMetal
	cull disable
	{
		map textures/kamchatka/grating
		alphaFunc GE128
		blendFunc GL_SRC_ALPHA GL_ZERO
		depthWrite
	}
	{
		map $lightmap
		blendFunc GL_ONE GL_ZERO
		depthFunc equal
	}
	{
		map textures/kamchatka/grating
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
// ##################################
// ## Misc Model Shaders ############
// ##################################

// ## trees #########################

models/objects/colombia/jungle/grass_tall_shd_bsp
{
	q3map_material		LongGrass
	q3map_nolightmap
	q3map_onlyvertexlighting

	cull			disable

    	{
        	map models/objects/colombia/jungle/grass_tall_shd
        	alphaFunc GE128
        	blendFunc GL_ONE GL_ZERO
		rgbGen vertex
    	}
}

models/objects/colombia/jungle/tree08_bsp
{
	qer_editorimage		models/objects/colombia/jungle/tree08_shd

	q3map_material		LongGrass
	q3map_nolightmap
	q3map_onlyvertexlighting

    	{
        	map models/objects/colombia/jungle/tree08
        	rgbGen vertex
    	}
}

models/objects/colombia/jungle/tree08_shd_bsp
{
	q3map_material		LongGrass
	q3map_nolightmap
	q3map_onlyvertexlighting

	cull			disable

	deformvertexes		wave 5 sin 0 5 0.5 0.25

    	{
        	map models/objects/colombia/jungle/tree08_shd
        	alphaFunc GE128
        	blendFunc GL_ONE GL_ZERO
        	rgbGen vertex
    	}
}

models/objects/colombia/jungle/fern_lrg01_shad_bsp
{
	q3map_material		LongGrass
	q3map_nolightmap
	q3map_onlyvertexlighting

	cull			disable

	deformvertexes		wave 5 sin 0 0.75 0.5 0.25

    	{
       		map models/objects/colombia/jungle/fern_lrg01_shd
        	alphaFunc GE128
        	blendFunc GL_ONE GL_ZERO
        	rgbGen vertex
    	}
}

models/objects/colombia/jungle/plant_lrg01_bsp
{
	q3map_material	LongGrass
	q3map_nolightmap
	q3map_onlyvertexlighting
	cull	disable
    	{
        	map models/objects/colombia/jungle/plant_lrg01_shd
        	alphaFunc GE128
        	blendFunc GL_ONE GL_ZERO
        	rgbGen lightingDiffuse
    	}
}

// ## trucks ########################

models/objects/colombia/vehicles/truck_personnel_bsp
{
	qer_editorimage		models/objects/colombia/vehicles/truck_personnel_1

	q3map_material		HollowMetal
	q3map_nolightmap
	q3map_onlyvertexlighting
    	{
        	map models/objects/colombia/vehicles/truck_body
        	rgbGen vertex
    	}
}

//models/objects/colombia/vehicles/truck_flatbed_bsp
//{
//	qer_editorimage		models/objects/colombia/vehicles/truck_flatbed
//
//	q3map_material		HollowMetal
//
//	q3map_nolightmap
//	q3map_onlyvertexlighting
//
//    	{
//        	map models/objects/colombia/vehicles/truck_flatbed
//        	rgbGen vertex
//    	}
//    	{
//        	map models/objects/colombia/vehicles/truck_flatbed_glow
//        	blendFunc GL_ONE GL_ONE
//    	}
//}

models/objects/colombia/vehicles/truck_flatbed_bsp
{
	q3map_material	SolidMetal
    	{
        	map $lightmap
        	rgbGen vertex
    	}
    	{
        	map models/objects/colombia/vehicles/truck_flatbed
        	blendFunc GL_DST_COLOR GL_ZERO
        	rgbGen vertex
    	}
    	{
        	map models/objects/colombia/vehicles/truck_flatbed_glow
        	blendFunc GL_ONE GL_ONE
    	}
}


models/objects/common/yugo_bsp
{
	q3map_material	SolidMetal
    {
        map $lightmap
        rgbGen vertex
    }
    {
        map models/objects/common/yugo
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen vertex
    }
}


// ## lights ########################

models/objects/liner/lights/wall_light_bulb_bsp
{
	q3map_material	Glass
	q3map_nolightmap
	q3map_onlyvertexlighting
    	{
        	map models/objects/liner/lights/wall_light_bulb
        	rgbGen vertex
    	}
}	

models/objects/liner/lights/wall_light_alpha_bsp
{
	q3map_nolightmap
	q3map_onlyvertexlighting
	q3map_material	Glass
    	{
        	map models/objects/liner/lights/wall_light_alpha
        	alphaFunc GE128
        	blendFunc GL_SRC_ALPHA GL_ZERO
        	depthWrite
    	}
    	{
        	map models/objects/liner/lights/wall_light_alpha
        	blendFunc GL_ONE GL_ZERO
		rgbgen vertex
        	depthFunc equal
    	}
}
models/objects/liner/lights/wall_light_bsp
{
	q3map_nolightmap
	q3map_onlyvertexlighting
	q3map_material	Plastic
    	{
        	map models/objects/liner/lights/wall_light
        	blendFunc GL_DST_COLOR GL_ZERO
		rgbgen vertex
    	}
}

models/objects/liner/lights/wall_light2_alpha_bsp
{
	q3map_nolightmap

// remove to play
//	surfaceparm trans

	cull			disable

    	{
        	map models/objects/liner/lights/wall_light2_alpha
        	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        	rgbGen vertex
    	}
}

models/objects/liner/lights/wall_light2_bsp
{

	q3map_material Plastic

    	{
        	map $lightmap
        	rgbGen vertex
    	}
    	{
        	map models/objects/liner/lights/wall_light2
        	blendFunc GL_DST_COLOR GL_ZERO
    	}
}


// ## misc ##########################

// colombia

models/objects/colombia/market/sawhorse_bsp
{
	q3map_material		SolidWood
	q3map_nolightmap
	q3map_onlyvertexlighting

    	{
        	map models/objects/colombia/market/sawhorse
        	rgbGen vertex
    	}
}

// colombia models was diffued. :(

models/objects/colombia/furniture/chair_col_bsp
{
	q3map_material		SolidWood
	q3map_nolightmap
	q3map_onlyvertexlighting

    	{
        	map models/objects/colombia/furniture/chair_col
        	rgbGen vertex
    	}
}



models/objects/finca/lamps/desklamp2_bulb_bsp
{
	q3map_material 		Glass
	q3map_nolightmap
	q3map_onlyvertexlighting
    	{
        	map models/objects/finca/lamps/desklamp2_bulb
        	blendFunc GL_ONE GL_ONE
        	rgbGen vertex
    	}
}

models/objects/colombia/misc/flowerbox1_bsp
{
	q3map_material 		HollowWood
	q3map_nolightmap
	q3map_onlyvertexlighting

    	{
        	map models/objects/colombia/misc/flowerbox1
        	rgbGen vertex
    	}
}

models/objects/colombia/misc/flowerbox1_alpha_bsp
{
	q3map_material 		GreenLeaves
	q3map_nolightmap
	q3map_onlyvertexlighting
	
	cull 			disable

    	{
        	map models/objects/colombia/misc/flowerbox1_alpha
        	alphaFunc GE128
        	blendFunc GL_ONE GL_ZERO
        	depthWrite
        	rgbGen vertex
    	}
}

models/objects/colombia/misc/flowerbox2_bsp
{
	q3map_material 		HollowWood
	q3map_nolightmap
	q3map_onlyvertexlighting

    	{
        	map models/objects/colombia/misc/flowerbox2
        	rgbGen vertex
    	}
}

models/objects/colombia/furniture/chair_fix
{
	q3map_material SolidWood
	q3map_nolightmap
	q3map_onlyvertexlighting
	{
		map models/objects/colombia/furniture/chair_col
		rgbGen lightingDiffuse
	}
}

models/objects/colombia/furniture/chair_fix_bsp
{
	q3map_material SolidWood
	q3map_nolightmap
	q3map_onlyvertexlighting
	{
		map models/objects/colombia/furniture/chair_col
		rgbGen vertex
	}
}

models/objects/colombia/lights/hanging_lifix
{
	q3map_material	HollowMetal
	q3map_nolightmap
	q3map_onlyvertexlighting
	cull	disable
	{
		map models/objects/colombia/lights/hanging_light
		rgbGen lightingDiffuse
	}
}

models/objects/colombia/lights/hanging_lifix_bsp
{
	q3map_material	HollowMetal
	q3map_nolightmap
	q3map_onlyvertexlighting
	cull	disable
	{
		map models/objects/colombia/lights/hanging_light
		rgbGen vertex
	}
}

models/objects/colombia/jungle/fern_lrg01_shd_bsp
{
	q3map_material	LongGrass
	q3map_nolightmap
	q3map_onlyvertexlighting
	cull	disable
	deformvertexes	wave	5 sin 0 0.75 0.5 0.25
    {
        map models/objects/colombia/jungle/fern_lrg01_shd
        alphaFunc GE128
        blendFunc GL_ONE GL_ZERO
        rgbGen vertex
    }
}