/// Threewave SOF2 Shader ///
// ##################################
// QUICK SHADER REFERENCE
// ##################################
// q3map_sun <red> <green> <blue> <intensity> <degrees> <elevation>
// <intensity> is the brightness of the generated light. A value of 100 is a fairly bright sun. The intensity of the light falls off with angle but not distance. 
// <degrees> is the angle relative to the directions on the map file. A setting of 0 degrees equals east. 90 isnorth, 180 is west and 270 is south. 
// <elevation> is the distance, measured in degrees from the horizon (z value of zero in the map file). An elevation of 0 is sunrise/sunset. An elevation of 90 is noon. 
// rgbGen wave <func> <base> <amp> <phase> <freq>


textures/threewave/_shoot_glass
{
	qer_editorimage	textures/tools/_shoot
	qer_trans	0.5
	surfaceparm	nodraw
	surfaceparm	playerclip
	surfaceparm	monsterclip
	surfaceparm	shotclip
	surfaceparm	trans
	q3map_material	glass
	q3map_nolightmap
}

textures/threewave/glass_1_fix
{
	qer_editorimage	textures/shop/glass_test
	qer_trans	0.5
	surfaceparm	nonopaque
	//surfaceparm	trans
	q3map_material	ShatterGlass
	q3map_nolightmap
	q3map_onlyvertexlighting
    	{
        	map textures/shop/env_shop
        	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        	depthWrite
        	alphaGen const 0.15
        	tcGen environment
    	}
    	{
        	map textures/hospital/metalgrime
        	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        	depthWrite
        	rgbGen vertex
        	alphaGen const 0.2
    	}
}

textures/threewave/mp_3w3_canopy_nomarks
{
	qer_editorimage	textures/colombia/canopy_top
	q3map_material	GreenLeaves
	surfaceparm	noimpact
	surfaceparm	nomarks

    	{
        	map textures/colombia/canopy_top
        	alphaFunc GE128
        	blendFunc GL_SRC_ALPHA GL_ZERO
        	depthWrite
    	}
    	{
        	map $lightmap
        	blendFunc GL_ONE GL_ZERO
        	depthFunc equal
    	}
    	{
        	map textures/colombia/canopy_top
        	blendFunc GL_DST_COLOR GL_ZERO
        	depthFunc equal
    	}
}

textures/threewave/mp_3w4/metal_trans
{
	qer_editorimage	textures/common/metal_brushed2
	q3map_material	SolidMetal
// comment out after
//	surfaceparm 	trans
    	{
        	map $lightmap
    	}
    	{
        	map textures/common/metal_brushed2
        	blendFunc GL_DST_COLOR GL_ZERO
    	}
}



// ##################################
// ## Skies #########################
// ##################################

// shop nightsky

textures/threewave/3w_scan3
{
	qer_editorimage		textures/tools/editor_images/qer_sky

	//q3map_surfacelight	30
//	q3map_surfacelight	60
	q3map_surfacelight	70
//	q3map_lightsubdivide	1024
	q3map_lightsubdivide	512
	q3map_nolightmap

	sun 0.2 0.2 0.26 60 0 80

	surfaceparm	sky
	surfaceparm	noimpact
	surfaceparm	nomarks

	notc

	skyParms	textures/skies/nynight 0 -
}

// shop nightsky

textures/threewave/3w_scan3_nolight
{
	qer_editorimage		textures/tools/editor_images/qer_sky

	q3map_nolightmap

	surfaceparm	sky
	surfaceparm	noimpact
	surfaceparm	nomarks

	notc

	skyParms	textures/skies/nynight 0 -
}

// jordan fogsky

textures/threewave/3w_scan4
{
	qer_editorimage		textures/tools/editor_images/qer_sky
	q3map_lightimage	textures/threewave/tw_yellow

//	q3map_lightsubdivide	1024
	q3map_lightsubdivide	256
	q3map_surfacelight	90
	q3map_nolightmap
	
	//sun 1 0.8556 0.258 100 15 35
	sun 1 0.8556 0.258 100 195 40

	surfaceparm		sky
	surfaceparm		noimpact
	surfaceparm		nomarks

	notc

	skyParms	textures/skies/- 512 -
}

// jordan fogsky

textures/threewave/3w_scan4_noblock
{
	qer_editorimage		textures/tools/editor_images/qer_sky
	q3map_lightimage	textures/threewave/tw_yellow

//	q3map_lightsubdivide	1024
	q3map_lightsubdivide	256

	q3map_surfacelight	90
	q3map_nolightmap
	
	sun 1 0.8556 0.258 100 195 40

	surfaceparm		sky
	surfaceparm		noimpact
	surfaceparm		nodraw

	notc

	skyParms	textures/skies/- 512 -
}

// jordan fogsky

textures/threewave/3w_scan4_nolight
{
	qer_editorimage		textures/tools/editor_images/qer_sky
	q3map_nolightmap
	
	surfaceparm		sky
	surfaceparm		noimpact
	//surfaceparm		nomarks
	surfaceparm		nodraw

	notc

	skyParms	textures/skies/- 512 -
}

// ##################################
// ### Scan'S Shop 3W4 sHADERS ####
// ##################################

textures/threewave/mp_3w4_window
{
	qer_editorimage	textures/airport/largewindow
	surfaceparm	nonsolid
	surfaceparm	nonopaque
	surfaceparm	playerclip
	surfaceparm	monsterclip
//	surfaceparm 	trans
	q3map_material	Glass
	q3map_nolightmap
	q3map_onlyvertexlighting
	cull	disable
    	{
        	map textures/airport/largewindow
        	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        	rgbGen vertex
    	}
    	{
        	map textures/common/env_chrome_add
        	blendFunc GL_ONE GL_ONE
        	detail
        	tcGen environment
    	}
}

textures/threewave/mp_3w4_light1_decal
{
	q3map_lightimage	textures/colors/white
	qer_editorimage	textures/common/light1
	q3map_surfacelight	3000
	q3map_flare	gfx/misc/lens_flare
	polygonOffset
	q3map_material	Glass
    	{
        	map $lightmap
    	}
    	{
        	map textures/common/light1
        	blendFunc GL_DST_COLOR GL_ZERO
    	}
    	{
        	map textures/common/light1_glow
        	blendFunc GL_ONE GL_ONE
    	}
}


textures/threewave/mp_3w4_lights_3
{
	qer_editorimage	textures/common/lights_3
	q3map_flare	gfx/misc/lens_flare
	q3map_material	Glass
	polygonOffset
    	{
        	map $lightmap
    	}
    	{
        	map textures/common/lights_3
        	blendFunc GL_DST_COLOR GL_ZERO
    	}
    	{
        	map textures/common/lights_3_glow
        	blendFunc GL_ONE GL_ONE
    	}
}
textures/threewave/mp_3w4_lights_2_decal
{
	q3map_lightimage	textures/colors/yellow_light
	qer_editorimage		textures/common/lights_2
	q3map_surfacelight	3000
	q3map_flare		gfx/misc/lens_flare
	q3map_material		Glass
	polygonOffset
    	{
        	map $lightmap
    	}
    	{
        	map textures/common/lights_2
        	blendFunc GL_DST_COLOR GL_ZERO
    	}
    	{
        	map textures/common/lights_2_glow
        	blendFunc GL_ONE GL_ONE
    	}
}

textures/threewave/mp_3w4_light_flor
{
	qer_editorimage	textures/common/light_flor
	q3map_flare	gfx/misc/lens_flare
	q3map_material	Glass
	polygonOffset
    	{
        	map $lightmap
    	}
    	{
        	map textures/common/light_flor
        	blendFunc GL_DST_COLOR GL_ZERO
    	}
    	{
        	map textures/common/light_flor_glow
        	blendFunc GL_ONE GL_ONE
    	}
}

textures/threewave/mp_3w4_winf2
{
	qer_editorimage	textures/prague/window_f2
	q3map_material	Glass
	polygonOffset
    	{
        	map $lightmap
    	}
    	{
        	map textures/prague/window_f2
        	blendFunc GL_DST_COLOR GL_ZERO
    	}
}

textures/threewave/mp_3w4_hoswall_cortex
{

	qer_editorimage	textures/hospital/hoswall_2trim_temp
	q3map_material	Plaster
    	{
        	map $lightmap
    	}
    	{
	        map textures/hospital/hoswall_2trim_temp
        	blendFunc GL_DST_COLOR GL_ZERO
    	}
}

// ##################################
// ### Scan'S jORDAN 3W5 sHADERS ####
// ##################################

// worldspawn fog
textures/threewave/mp_3w5fog
{
	qer_editorimage		textures/tools/editor_images/qer_fogblack

	surfaceparm 		nonsolid
	surfaceparm 		fog

	fogparms ( 0.8 0.8 0.6 ) 8000.0s
}

textures/threewave/mp_3w5_gate
{
	qer_editorimage	textures/prague/gate
	surfaceparm	nonsolid
	surfaceparm	nonopaque
// comment this out
//	surfaceparm	trans
	surfaceparm	playerclip
	surfaceparm	monsterclip
	q3map_material	SolidMetal
	cull	disable
    	{
        	map textures/prague/gate
        	alphaFunc GE128
        	blendFunc GL_SRC_ALPHA GL_ZERO
        	depthWrite
    	}
    	{
        	map $lightmap
        	blendFunc GL_ONE GL_ZERO
        	depthFunc equal
    	}
    	{
        	map textures/prague/gate
        	blendFunc GL_DST_COLOR GL_ZERO
        	depthFunc equal
    	}
}

textures/threewave/mp_3w5_sand
{
	qer_editorimage textures/jordan/sand
	q3map_material	sand
	{
        	map $lightmap
    	}
    	{
        	map textures/jordan/sand
        	blendFunc GL_DST_COLOR GL_ZERO
    	}
}

textures/threewave/mp_3w5_sandtodirt
{
	qer_editorimage textures/threewave/3w_sandtodirt
	q3map_material	sand
	{
        	map $lightmap
    	}
    	{
        	map textures/threewave/3w_sandtodirt
        	blendFunc GL_DST_COLOR GL_ZERO
    	}
}

textures/threewave/mp_3w5_dirt
{
	qer_editorimage textures/jordan/dirt_sand
	q3map_material	Gravel
	{
        	map $lightmap
    	}
    	{
        	map textures/jordan/dirt_sand
        	blendFunc GL_DST_COLOR GL_ZERO
    	}
}



textures/threewave/mp_3w5wall_int_wndw
{
	qer_editorimage		textures/jordan/wall_int_wndw

	q3map_material		Concrete

    	{
        	map $lightmap
	}
    	{
        	map textures/jordan/wall_int_wndw
        	blendFunc GL_DST_COLOR GL_ZERO
    	}
}

textures/threewave/mp_3w5canopy
{
	qer_editorimage	textures/jordan/canopy_market_top
	q3map_material	Canvas
	cull	disable
	surfaceparm	slime

 	{
        	map $lightmap
    	}
    	{
        	map textures/jordan/canopy_market_top
        	blendFunc GL_DST_COLOR GL_ZERO
    	}
}
textures/threewave/mp_3w5canopy_edge
{
	qer_editorimage	textures/jordan/canopy_market_edge
	q3map_material	Canvas
	surfaceparm	slime
	surfaceparm 	nonsolid
	cull	disable
    	{
        	map textures/jordan/canopy_market_edge
        	alphaFunc GE128
        	blendFunc GL_SRC_ALPHA GL_ZERO
        	depthWrite
    	}
    	{
        	map $lightmap
        	blendFunc GL_ONE GL_ZERO
        	depthFunc equal
    	}
    	{
       		map textures/jordan/canopy_market_edge
        	blendFunc GL_DST_COLOR GL_ZERO
        	depthFunc equal
    	}
}
textures/threewave/mp_3w5window_4
{
	qer_editorimage	textures/jordan/window_4
	polygonOffset
	q3map_material	HollowWood
    	{
        	map $lightmap
    	}
    	{
        	map textures/jordan/window_4
        	blendFunc GL_DST_COLOR GL_ZERO
    	}
}

textures/threewave/mp_3w5window_6
{
	qer_editorimage	textures/jordan/window_6
	polygonOffset
	q3map_material	Glass
	damageShader	textures/jordan/window_6_d 1
	{
        	map $lightmap
    	}
    	{
        	map textures/jordan/window_6
        	blendFunc GL_DST_COLOR GL_ZERO
    	}
}

textures/threewave/mp_3w5window_7
{
	qer_editorimage	textures/jordan/window_7
	q3map_material	Concrete
	polygonOffset
	damageShader	textures/jordan/window_7_d 1
	aliasShader	textures/jordan/window_6
    	{
       		map $lightmap
    	}
    	{
        	map textures/jordan/window_7
        	blendFunc GL_DST_COLOR GL_ZERO
    	}
}

textures/threewave/mp_3w5window_7_d
{

	qer_editorimage	textures/jordan/window_7_d
	polygonOffset
	q3map_material	Glass
    	{
        	map $lightmap
    	}
    	{
        	map textures/jordan/window_7_d
        	blendFunc GL_DST_COLOR GL_ZERO
    	}
}

